#ifndef DEPARTMODEL_H
#define DEPARTMODEL_H

#include <QAbstractTableModel>
#include <QStringList>
#include <QTime>


class ligneDepart
{
public:
    ligneDepart(QString typeTransport,QTime heure,QString gareArrivee,QStringList garesDesservies,QString retard,QString causeRetard);
    QString typeTransport;
    QTime heure;
    QString gareArrivee;
    QStringList garesDesservies;
    QString retard;
    QString causeRetard;
};

class departModel : public QAbstractTableModel
{
    Q_OBJECT
public:
    departModel(QObject *parent = 0);
    int rowCount(const QModelIndex &parent = QModelIndex()) const;
    int columnCount(const QModelIndex &parent = QModelIndex()) const;
    void setDepartListe(const QList<ligneDepart> &list);
    QVariant data(const QModelIndex &index, int role) const;
    QVariant headerData(int section, Qt::Orientation orientation, int role) const;

    Qt::ItemFlags flags ( const QModelIndex & index ) const;


private:
    QList<ligneDepart> departListe;

};

#endif // DEPARTMODEL_H
